<header [formGroup]="check">

  <div class="header-logo">
    <img routerLink="/" src="../../../../assets/img/logo_bcp.svg" alt="">
  </div>
  <input class="menu-btn" type="checkbox" id="menu-btn" formControlName="valorCheck">
  <label class="menu-icon" for="menu-btn" *ngIf="navigate.url != '/login'"><span class="navicon"></span></label>

  <div class="header-buttons" [ngClass]="status ? 'hide' : 'show'">
    <button class="btn-primary font-flexo-700" (click)="SignUp()" *ngIf="navigate.url != '/login'">Cerrar
      Sesión</button>

    <button class="btn-secondary font-flexo-700" (click)="goNavigate('transmision')"
      *ngIf="!(navigate.url === '/transmision' || navigate.url === '/login') && !changePositionBtn">
      <span> Ver Transmisión<b></b></span>
    </button>
    <button class="btn-secondary font-flexo-700" (click)="menuOpenClose(menu)" *ngIf="navigate.url === '/transmision'">
      <span *ngIf="!hideChat"> Mostrar chat</span>
      <span *ngIf="hideChat"> Ocultar chat</span>
    </button>

    <button class="btn-secondary font-flexo-700" (click)="goNavigate('beneficios')" routerLinkActive
      #home="routerLinkActive" *ngIf="navigate.url === '/transmision'">
      <span> Volver al inicio</span>
    </button>

  </div>

  <nav class="menu-navegation" *ngIf="!(navigate.url === '/transmision' || navigate.url === '/login')">
    <ul>
      <li>
        <a class="font-cabin" [routerLinkActive]="['active']" routerLink="/beneficios">Beneficios BCP</a>
      </li>

      <li>
        <a class="font-cabin" [routerLinkActive]="['active']" routerLink="/agenda">Agenda</a>
      </li>

      <li>
        <a class="font-cabin" [routerLinkActive]="['active']" routerLink="/trivia">Trivia</a>
      </li>

      <li *ngIf="changePositionBtn">
        <a class="font-cabin" [routerLinkActive]="['active']" routerLink="/transmision">Ver Transmisión<b></b></a>
      </li>
    </ul>

  </nav>
</header>
